Skip to content

[finding] plugins/uberdev/skills/premerge-pipeline/SKILL.md — 3 findings #777

Open

Description

@TheFJK

Origin: 2c6db44177351a84156c12e838aceecd76f8713b
Agent: premerge.review.code_review
File: plugins/uberdev/skills/premerge-pipeline/SKILL.md:1368
Severity: suggestion (Phase premerge)
Disposition: DEFERRED (premerge-repair-budget-exhausted)
Tier: SUGGESTION
Related: PR #768

Findings (3)

1. plugins/uberdev/skills/premerge-pipeline/SKILL.md:1368 — suggestion / SUGGESTION / DEFERRED (premerge-repair-budget-exhausted) — SKILL.md still says STOP_NO_PROGRESS and STOP_REGRESSED are the ones that matter, and line 39 still lists only those two

Lenses: premerge.review.code_review

The decision table gained the STOP_SELF_REFERENTIAL row and the section below explains it at length, but the two summary sentences that frame the loop's contract were not updated. commands/premerge.md and references/common-mistakes.md WERE updated to name all three, so the pipeline file that agents actually execute is now the one place still describing a two-stop loop.

2. plugins/uberdev/skills/premerge-pipeline/SKILL.md:1414 — suggestion / SUGGESTION / DEFERRED (premerge-repair-budget-exhausted) — Both operator-facing surfaces say the stop needs two consecutive measured rounds at or above the ceiling; the code addit

Lenses: premerge.review.code_review

_growth_round_counts ends `return blockers >= previous_blockers`, and cmd_converge's comment is explicit that this is ELIGIBLE, not merely measured. An operator watching a run print GROWTH=0.90 twice and NOT stop has, from the docs, been told the detector is broken. The inverse is worse: someone simplifying the predicate back to two conditions to match the documented contract re-introduces the measured 5-2-2 false stop the condition was added to fix.

3. plugins/uberdev/skills/premerge-pipeline/SKILL.md:1433 — suggestion / SUGGESTION / DEFERRED (premerge-repair-budget-exhausted) — SKILL.md and common-mistakes.md both enumerate exactly FOUR causes of GROWTH=- and omit the Phase-3 CI-repair arm=commit

Lenses: premerge.review.code_review

_read_repair_scope's docstring states verbatim that a committed-nothing repair is not the only unmeasured case, that the arm=commit path pushes real code edits while publishing only ci-scope-<NN>.*, and that STOP_SELF_REFERENTIAL is therefore unreachable for a CI-repair-heavy loop. SKILL.md lists four causes; common-mistakes.md repeats the same four. An operator on such a run sees GROWTH=- on every attempt, checks the four causes, finds none applies, and concludes the ratio is fine.

To resolve: address the findings above in code and close this issue. Closing resolves exactly the findings listed in this body and the findings added by a later comment on it — one index records both, and closing resolves that recorded set and nothing else. A finding in this file that this issue never recorded is filed as a NEW issue rather than suppressed, so closing never mutes the file. Before closing, apply finding:true-positive if it was a real defect or finding:false-positive if it was not — that label is the eval ground truth (RFC 0018).

Activity

  1. added
    premerge-findingAuto-filed by /uberdev:premerge from deferred findings (RFC 0002)
    on Aug 24, 2026
  2. TheFJK commented on Aug 24, 2026

    @TheFJK
    CollaboratorAuthor

    Also flagged on commit b91a1efddcf3a7d76231e72c66146acb27f308a2 (PR #793).

    3 finding(s) on plugins/uberdev/skills/premerge-pipeline/SKILL.md — 3 new since this issue was filed:

    • new plugins/uberdev/skills/premerge-pipeline/SKILL.md:2321 — suggestion — The four-refusals contract does not state what a Phase 4c revert means for the trail, so the 5b summary can read clean-g
    • new plugins/uberdev/skills/premerge-pipeline/SKILL.md:2326 — suggestion — The SKILL now documents the ordering defect honestly, but README, RFC 0021 A7 and commands/premerge.md still assert the
    • new plugins/uberdev/skills/premerge-pipeline/SKILL.md:2326 — suggestion — The 5-trail section and RFC A8 assert the feature is structurally unresolvable, but the repair landed in this same PR an
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment

Metadata

Metadata

Assignees

No one assigned

    Labels

    premerge-findingAuto-filed by /uberdev:premerge from deferred findings (RFC 0002)

    Type

    No type

    Projects

    No projects

      Milestone

      No milestone

      Relationships

      None yet

      Development

      No branches or pull requests

      Issue actions